Skip to content

Send an email

Request

Send a new email to a contact through a connected mailbox.

Security
bearerAuth
Bodyapplication/jsonrequired
sender_profile_uuidstring, (uuid)required
lead_uuidstring, (uuid)required
from_namestringrequired
Example:"John Doe"
from_emailstringrequired
Example:"john@company.com"
to_namestringrequired
Example:"Jane Smith"
to_emailstringrequired
Example:"jane@acme.com"
ccArray of strings
bccArray of strings
subjectstringrequired
Example:"Quick question about your outreach stack"
bodystring

Email body (HTML supported).

attachmentsArray of objects(attachment-ref)

Files to attach to the email. Upload files first via POST /flows/api/attachments, then pass an array of { "uuid": "..." } references here.

POST
/emails/api/emails/send-email
curl -i -X POST \
  https://leadgen.grinfi.io/emails/api/emails/send-email \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sender_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "lead_uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "from_name": "John Doe",
    "from_email": "john@company.com",
    "to_name": "Jane Smith",
    "to_email": "jane@acme.com",
    "subject": "Quick question about your outreach stack",
    "body": "<p>Hi Jane, attached is our deck.</p>",
    "attachments": [
      {
        "uuid": "e94a3b39-1242-4d70-8703-8b600d8960d6"
      }
    ]
  }'

Responses

Email sent.

Bodyapplication/json
emailDomainobject(email)
emailBodyDomainobject(email-body)
Response
{ "emailDomain": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "user_id": 0, "sender_profile_uuid": "5d4d9d60-1e0b-400d-94d5-85c4b6a306f6", "mailbox_uuid": "d68f8f4c-fb28-4e30-b007-98bce1cb2c0d", "email_body_uuid": "1d55729a-d2ea-41f8-ab9d-f02ee9e2eb16", "flow_uuid": "11840a54-032e-452f-857e-bb369a5e7afa", "lead_uuid": "10b13691-d53f-44ed-aea6-f585d60459aa", "status": "string", "type": "inbox", "from_name": "string", "from_email": "string", "to_name": "string", "to_email": "string", "cc": [], "bcc": [], "subject": "string", "replied_to_uuid": "368fd351-527e-488b-8949-d5667d0de6f9", "bounced_by_uuid": "97ba3dcc-25e4-4028-a3f6-3cb32a51331d", "sent_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "emailBodyDomain": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "body": "string", "attachments": [], "subject": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }